Debian Bug report logs - #591909
please include init.d script for zvol

version graph

Package: zfsutils; Maintainer for zfsutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for zfsutils is src:zfsutils.

Reported by: Henrik Riomar <henrik.riomar@gmail.com>

Date: Fri, 6 Aug 2010 12:48:05 UTC

Severity: wishlist

Found in version zfsutils/8.1-2

Fixed in version zfsutils/8.1-3

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#591909; Package zfsutils. (Fri, 06 Aug 2010 12:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrik Riomar <henrik.riomar@gmail.com>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 06 Aug 2010 12:48:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Henrik Riomar <henrik.riomar@gmail.com>
To: submit@bugs.debian.org
Subject: please include init.d script for zvol
Date: Fri, 6 Aug 2010 14:46:28 +0200
Package: zfsutils
Version: 8.1-2
Severity: wishlist

The zfsutils package is missing a init.d script for zvol, making the
zvol:s inaccessible after reboot;

# ls -ld /dev/zvol
ls: cannot access /dev/zvol: No such file or directory

# zfs volinit

# ls -ld /dev/zvol
dr-xr-xr-x 3 root root 512 Aug  6 14:36 /dev/zvol

# mount /dev/zvol/tank/ufs-test /mnt/

# df -h /mnt/
Filesystem            Size  Used Avail Use% Mounted on
/dev/zvol/tank/ufs-test
                       49M  4.0K   45M   1% /mnt

# mount | grep mnt
/dev/zvol/tank/ufs-test on /mnt (ufs, local)

In Freebsd this is handled by the rc.d script called zvol;
http://svn.freebsd.org/viewvc/base/release/8.1.0/etc/rc.d/zvol?revision=210188&view=markup

Please include a similar init.d script in Debian GNU/kFreeBSD




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sat, 07 Aug 2010 12:03:55 GMT) Full text and rfc822 format available.

Notification sent to Henrik Riomar <henrik.riomar@gmail.com>:
Bug acknowledged by developer. (Sat, 07 Aug 2010 12:03:55 GMT) Full text and rfc822 format available.

Message #10 received at 591909-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 591909-close@bugs.debian.org
Subject: Bug#591909: fixed in zfsutils 8.1-3
Date: Sat, 07 Aug 2010 12:02:48 +0000
Source: zfsutils
Source-Version: 8.1-3

We believe that the bug you reported is fixed in the latest version of
zfsutils, which is due to be installed in the Debian FTP archive:

libnvpair-dev_8.1-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libnvpair-dev_8.1-3_kfreebsd-amd64.deb
libnvpair0-udeb_8.1-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/libnvpair0-udeb_8.1-3_kfreebsd-amd64.udeb
libnvpair0_8.1-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libnvpair0_8.1-3_kfreebsd-amd64.deb
libuutil-dev_8.1-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libuutil-dev_8.1-3_kfreebsd-amd64.deb
libuutil0-udeb_8.1-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/libuutil0-udeb_8.1-3_kfreebsd-amd64.udeb
libuutil0_8.1-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libuutil0_8.1-3_kfreebsd-amd64.deb
libzfs-dev_8.1-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libzfs-dev_8.1-3_kfreebsd-amd64.deb
libzfs0-udeb_8.1-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/libzfs0-udeb_8.1-3_kfreebsd-amd64.udeb
libzfs0_8.1-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libzfs0_8.1-3_kfreebsd-amd64.deb
zfsutils-udeb_8.1-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/zfsutils-udeb_8.1-3_kfreebsd-amd64.udeb
zfsutils_8.1-3.diff.gz
  to main/z/zfsutils/zfsutils_8.1-3.diff.gz
zfsutils_8.1-3.dsc
  to main/z/zfsutils/zfsutils_8.1-3.dsc
zfsutils_8.1-3_kfreebsd-amd64.deb
  to main/z/zfsutils/zfsutils_8.1-3_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 591909@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated zfsutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 07 Aug 2010 13:39:27 +0200
Source: zfsutils
Binary: libuutil0 libuutil-dev libuutil0-udeb libnvpair0 libnvpair-dev libnvpair0-udeb libzfs0 libzfs-dev libzfs0-udeb zfsutils zfsutils-udeb
Architecture: source kfreebsd-amd64
Version: 8.1-3
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 libnvpair-dev - Development files for libnvpair
 libnvpair0 - OpenSolaris name-value pair library
 libnvpair0-udeb - OpenSolaris name-value pair library (udeb)
 libuutil-dev - Development files for libuutil
 libuutil0  - OpenSolaris userland utility library
 libuutil0-udeb - OpenSolaris userland utility library (udeb)
 libzfs-dev - Development files for libzfs
 libzfs0    - FreeBSD ZFS library
 libzfs0-udeb - FreeBSD ZFS library (udeb)
 zfsutils   - command-line tools to manage ZFS filesystems
 zfsutils-udeb - command-line tools to manage ZFS filesystems (udeb)
Closes: 591909 591921
Changes: 
 zfsutils (8.1-3) unstable; urgency=low
 .
   * Create /etc/zfs so that zfs can store its configuration. Closes:
     bug#591921.
   * Update init script to also start/stop zvol and mount swap on zvol.
     Closes: bug#591909.
Checksums-Sha1: 
 6075e333327924ad0e37f6dbbbcd3d3f5fd2a40c 1405 zfsutils_8.1-3.dsc
 fd1eb7ad14f060ad23024b070c6fdac57483a81c 18822 zfsutils_8.1-3.diff.gz
 e954f73f747b53ba94fda97ef2e3a7a46df19eaa 28498 libuutil0_8.1-3_kfreebsd-amd64.deb
 e5d3394aeeb5ff8f7420e5ff1d3d50ed23782aeb 29672 libuutil-dev_8.1-3_kfreebsd-amd64.deb
 e60912e41d96ea551b8d416a202e8b5b65453271 17666 libuutil0-udeb_8.1-3_kfreebsd-amd64.udeb
 cb15b1aff290aceeb5a894b9c99bcae16eef9cfb 29356 libnvpair0_8.1-3_kfreebsd-amd64.deb
 079f251d1d9e6155e54ae9996ad0173440b76ceb 29024 libnvpair-dev_8.1-3_kfreebsd-amd64.deb
 abd8fa43f869c75ffa9eaa0d195c3205725045e1 18500 libnvpair0-udeb_8.1-3_kfreebsd-amd64.udeb
 910b77262374a39ccfc5b1c0b24ce5749db9486c 105410 libzfs0_8.1-3_kfreebsd-amd64.deb
 ad55b1dfb895c5d3759a945f64230d14812206a0 134540 libzfs-dev_8.1-3_kfreebsd-amd64.deb
 b35bb5f452baa5f718534af7549a0a634c39973c 94758 libzfs0-udeb_8.1-3_kfreebsd-amd64.udeb
 f86795a990238b4d642310ef04631e3369e32680 114016 zfsutils_8.1-3_kfreebsd-amd64.deb
 b0dd3b5c10a22ead1ff497d35eb02bbbb64b3fb1 67980 zfsutils-udeb_8.1-3_kfreebsd-amd64.udeb
Checksums-Sha256: 
 b4048485bb13e6a9ae1149ca316d73169646b61c843413c7a077e968fc8397a1 1405 zfsutils_8.1-3.dsc
 27f3ec0f0675ca18fee338450c7967c666b6ba0b5b8637e79a2a1d4421c23bb7 18822 zfsutils_8.1-3.diff.gz
 3b13da19f5a7f6e8d204d2a7bc215769f20a15b3bda28f032df2692e1f15869a 28498 libuutil0_8.1-3_kfreebsd-amd64.deb
 b8b5bb6a64b7036125590a06bcd7b0b0bc238a9610d637e546fa6ab9e3e26f50 29672 libuutil-dev_8.1-3_kfreebsd-amd64.deb
 05a370d39b8a61f29afac8ef12ec584bf9a196fefdf425c4b48db2e0caa54d7f 17666 libuutil0-udeb_8.1-3_kfreebsd-amd64.udeb
 d8d3d7cda708e4982ba3c396ad62955aec4078158c9e200fa818be58586b0836 29356 libnvpair0_8.1-3_kfreebsd-amd64.deb
 cdbed7fe03b9310d5967f93ff59cc77347eaa7744aaca92f35b7b3c701a42ef6 29024 libnvpair-dev_8.1-3_kfreebsd-amd64.deb
 c1a2187f8194fd532e5fddabf4d04b3574a3f444eb95c160593a655cd5324163 18500 libnvpair0-udeb_8.1-3_kfreebsd-amd64.udeb
 e2a313a8208dab80ef8df430fdcf93cd4fe80a54501a226a13424c49559e8255 105410 libzfs0_8.1-3_kfreebsd-amd64.deb
 e55a58eb0b5a5b48101d84b31e483c990feb59fce07cdf0ee49b9ae3ac7205ad 134540 libzfs-dev_8.1-3_kfreebsd-amd64.deb
 db7aab3ddd0dfa59dc11f8575e03efb381825fc576e062cf57674f4495c06064 94758 libzfs0-udeb_8.1-3_kfreebsd-amd64.udeb
 295f3ad684e5a527b7d9045cd0b466ff3503c3a792ff769aa3f9677da015c78a 114016 zfsutils_8.1-3_kfreebsd-amd64.deb
 ef23782d4719f58e37ef8b815e5eabed8f307e77dac4afe23921a9e7373187c4 67980 zfsutils-udeb_8.1-3_kfreebsd-amd64.udeb
Files: 
 f407d38f453e8ae9ec2ed012890ed7d2 1405 admin optional zfsutils_8.1-3.dsc
 71a6cfc0eb6b05ae90e5d0e9d6901e42 18822 admin optional zfsutils_8.1-3.diff.gz
 4d18afab8d1716e34760058ac00f7367 28498 libs optional libuutil0_8.1-3_kfreebsd-amd64.deb
 643086a060c999666132e0615bb5a869 29672 libdevel optional libuutil-dev_8.1-3_kfreebsd-amd64.deb
 cc9313eba3700da614dbfe4c5f45e527 17666 debian-installer optional libuutil0-udeb_8.1-3_kfreebsd-amd64.udeb
 1d553c5d33666dc88fe7c265d35ac0b0 29356 libs optional libnvpair0_8.1-3_kfreebsd-amd64.deb
 15cec57bbbd8023be193feaa7f94fc64 29024 libdevel optional libnvpair-dev_8.1-3_kfreebsd-amd64.deb
 3b165103413f6622477b5625e2dc86b7 18500 debian-installer optional libnvpair0-udeb_8.1-3_kfreebsd-amd64.udeb
 8812ee455b7835ca40a683a7ad24d120 105410 libs optional libzfs0_8.1-3_kfreebsd-amd64.deb
 37e146a85878454ec30b65038f69fc68 134540 libdevel optional libzfs-dev_8.1-3_kfreebsd-amd64.deb
 654b6223206f18ee291a9562b426d251 94758 debian-installer optional libzfs0-udeb_8.1-3_kfreebsd-amd64.udeb
 7712d401c50a01e3f0830f093d137197 114016 admin optional zfsutils_8.1-3_kfreebsd-amd64.deb
 4acedfaf53979ecf1c68db8860f760a2 67980 debian-installer optional zfsutils-udeb_8.1-3_kfreebsd-amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFMXUa8w3ao2vG823MRAnNaAJ9UC7+de5kGBiydD2T4QeIV09RBcwCdGi+r
68atFCKT/2DBitXK/VmsfSg=
=BKCf
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Oct 2010 07:31:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:13:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.